=== debian/changelog ===
vmpk (0.7.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:24 +0100

vmpk (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump libdrumstick-dev to 1.1.3.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Sep 2019 21:20:19 +0200

vmpk (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Ross Gammon ]
  * New upstream release
  * New maintainer (Closes: #797535)
  * Embedded copy of RiMidi no longer included (Closes: #758046)
  * Update to QT5 dependencies (Closes: #870355, #875238)
  * Unapply patches from source
  * Build depend on latest libdrumstick for new RT library
  * Add myself as uploaders
  * Use latest secure & canonical Vcs URIs
  * Drop old build options & add bindnow hardening option
  * Update copyrights & move to copyright format 1.0
  * Switch to Debian Multimedia Team maintenance

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 12.
    - Set Priority to optional.
    - Bump Standards-Version.
  * debian/rules: Force cmake build system.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Aug 2019 21:34:23 +0200
