=== debian/changelog ===
vmpk (0.8.6-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.8.6
  * d/copyright: Remove obsolete blkey.svg entry
  * Update d/source/lintian-overrides

  [ Sebastian Ramacher ]
  * debian/control: Bump libdrumstick to 2.5

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 06 Jan 2022 13:07:52 +0100

vmpk (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Refresh d/copyright years and entries
  * Remove obsolete d/dirs

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 06 Nov 2021 22:20:11 +0100

vmpk (0.8.4-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * Update copyright (http->https + remove 1 empty line)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1
  * d/watch: Use https protocol

  [ Dennis Braun ]
  * New upstream version 0.8.4
  * d/control:
    + Build with libdrumstick 2.0.0
    + Add me as uploader
    + Bump dh-compat to 13
    + Bump S-V to 4.6.0
    + Set RRR: no
    + Update homepage
    + Add libdrumstick-rt-backends to vmpk Depends
  * d/copyright:
    + Update source
    + Update d/copyright year
    + Add entry for net.sourceforge.VMPK.appdata.xml
  * Update d/docs
  * Add d/source/lintian-overrides
  * Add d/upstream/metadata
  * Update d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 11 Sep 2021 21:32:04 +0200
