=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Ross Gammon <rosco2@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Ross Gammon <rosco2@ubuntu.com>,
+ Dennis Braun <d_braun@kabelmail.de>
+Build-Depends: debhelper-compat (= 13),
  cmake,
  pkg-config,
  xsltproc,
@@ -16,15 +17,19 @@
  qttools5-dev-tools,
  qttools5-dev,
  libqt5x11extras5-dev,
- libdrumstick-dev (>= 1.1.3)
-Standards-Version: 4.4.0
-Homepage: http://vmpk.sourceforge.net/
+ libdrumstick-dev (>= 2.5)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://vmpk.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk
 Vcs-Git: https://salsa.debian.org/multimedia-team/vmpk.git
 
 Package: vmpk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libdrumstick-rt-backends (>= 2.5)
 Recommends: qjackctl, qsynth
 Description: Virtual MIDI Piano Keyboard
  Virtual MIDI Piano Keyboard is a MIDI events generator and
