## vmpk 0.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 set(CMAKE_OSX_DEPLOYMENT_TARGET "10.13" CACHE STRING "Minimum OS X deployment version")
 
 project( VMPK
-    VERSION 0.8.6
+    VERSION 0.8.7
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -28,7 +28,12 @@
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set(DBUS_INIT ON)
 endif()
+set(FILTER_INIT OFF)
+if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
+    set(FILTER_INIT ON)
+endif()
 option(ENABLE_DBUS "Enable VMPK DBus interface" ${DBUS_INIT})
+option(ENABLE_NATIVE_FILTER "Use a QAbstractNativeEventFilter to process raw keyboard events" ${FILTER_INIT})
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
 option(BUILD_DOCS "Build man page" ON)
 option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
@@ -52,7 +57,7 @@
 #endif()
 
 # CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
-# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2021/03
+# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2022/04
 if(MSVC)
     string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
 endif()
@@ -80,7 +85,7 @@
     find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
 endif()
 
-find_package(Drumstick 2.5 COMPONENTS RT Widgets REQUIRED)
+find_package(Drumstick 2.6 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -88,6 +93,7 @@
      Operating System: ${CMAKE_SYSTEM_NAME}
      System Processor: ${CMAKE_SYSTEM_PROCESSOR}
      D-Bus support: ${ENABLE_DBUS}
+     Native Event Filter: ${ENABLE_NATIVE_FILTER}
      Qt${QT_VERSION_MAJOR} Version: ${QT_VERSION}
      Drumstick Version: ${Drumstick_VERSION}"
 )
@@ -97,19 +103,22 @@
 endif ()
 
 if (UNIX AND NOT APPLE)
-    if (QT_VERSION VERSION_LESS 6.0.0)
-        find_package(Qt5X11Extras REQUIRED)
+    if (ENABLE_NATIVE_FILTER)
+        if (QT_VERSION VERSION_LESS 6.0.0)
+            find_package(Qt5X11Extras REQUIRED)
+        endif()
+        find_package(PkgConfig REQUIRED)
+        if(PKG_CONFIG_FOUND)
+            message(STATUS "Program pkg-config v${PKG_CONFIG_VERSION_STRING} found (${PKG_CONFIG_EXECUTABLE})")
+        else()
+            message(FATAL_ERROR "Program pkg-config not found")
+        endif()
+        pkg_check_modules(XCB REQUIRED xcb)
+        if(XCB_FOUND)
+            message(STATUS "Found XCB development libs v${XCB_VERSION}")
+        endif()
     endif()
-    find_package(PkgConfig REQUIRED)
-    if(PKG_CONFIG_FOUND)
-        message(STATUS "Program pkg-config v${PKG_CONFIG_VERSION_STRING} found (${PKG_CONFIG_EXECUTABLE})")
-    else()
-        message(FATAL_ERROR "Program pkg-config not found")
-    endif()
-    pkg_check_modules(XCB REQUIRED xcb)
-    if(XCB_FOUND)
-        message(STATUS "Found XCB development libs v${XCB_VERSION}")
-    endif()
+    
     include(GNUInstallDirs)
 endif()
 
@@ -155,7 +164,7 @@
         COMMAND cp -r dbus vmpk-${PROJECT_VERSION}
         COMMAND cp translations/vmpk_{cs,de,es,fr,gl,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp translations/CMakeLists.txt vmpk-${PROJECT_VERSION}/translations/
-        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.appdata.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
+        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.metainfo.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
         COMMAND tar -cj --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.bz2 vmpk-${PROJECT_VERSION}
         COMMAND tar -cz --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.gz vmpk-${PROJECT_VERSION}
         COMMAND zip -qr vmpk-${PROJECT_VERSION}.zip vmpk-${PROJECT_VERSION} -x '.[a-z]*'
@@ -199,7 +208,7 @@
     install (FILES net.sourceforge.VMPK.desktop
              DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )
 
-    install (FILES net.sourceforge.VMPK.appdata.xml
+    install (FILES net.sourceforge.VMPK.metainfo.xml
              DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo )
 
      # uninstall custom target
