=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -69,15 +69,12 @@
     keyboardmap.h
     kmapdialog.cpp
     kmapdialog.h
-    maceventhelper.h
     main.cpp
     mididefs.h
     midisetup.cpp
     midisetup.h
     preferences.cpp
     preferences.h
-    nativefilter.cpp
-    nativefilter.h
     riff.cpp
     riff.h
     riffimportdlg.cpp
@@ -93,6 +90,19 @@
     ${QT_RES}
 )
 
+if (ENABLE_NATIVE_FILTER)
+    list(APPEND vmpk_SRCS
+        nativefilter.cpp
+        nativefilter.h
+    )
+    if (APPLE)
+        list(APPEND vmpk_SRCS
+            maceventhelper.mm
+            maceventhelper.h
+        )
+    endif()
+endif()
+
 if(WIN32)
     include(CheckCXXSourceCompiles)
     check_cxx_source_compiles("#include <Windows.h>
@@ -105,7 +115,6 @@
 endif()
 
 if(ENABLE_DBUS)
-    add_definitions(-DENABLE_DBUS)
     if (QT_VERSION VERSION_LESS 5.15.0)
         qt5_add_dbus_adaptor( vmpk_SRCS
                               net.sourceforge.vmpk.xml
@@ -138,7 +147,7 @@
     set (MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
     set (MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge.vmpk" )
     set (MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
-    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2021 Pedro López-Cabanillas and others")
+    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2022 Pedro López-Cabanillas and others")
     set (vmpk_RSC
         ../data/vmpk.icns
         ../data/help.html
@@ -158,7 +167,6 @@
 endif()
 
 add_executable (vmpk MACOSX_BUNDLE WIN32
-    $<$<PLATFORM_ID:Darwin>:maceventhelper.mm>
     $<$<PLATFORM_ID:Windows>:${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc>
     ${vmpk_SRCS}
     ${vmpk_RSC}
@@ -196,6 +204,7 @@
     RAWKBD_SUPPORT
     PALETTE_SUPPORT
     $<$<BOOL:${ENABLE_DBUS}>:ENABLE_DBUS>
+    $<$<BOOL:${ENABLE_NATIVE_FILTER}>:ENABLE_NATIVE_FILTER>
 )
 
 if (DEFINED PROJECT_WC_REVISION)
