=== debian/changelog ===
vmpk (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7
  * Update d/copyright years
  * Update metainfo file

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 21:05:31 +0200
